Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.iiop
Class IIOPAddress

    java.lang.Object
      |
      +--org.openorb.net.AbstractAddress
            |
            +--org.openorb.iiop.IIOPAddress

All Implemented Interfaces:
  Address, java.lang.Cloneable

public class IIOPAddress
extends AbstractAddress
implements java.lang.Cloneable

IIOP request target.

Version:
  $Revision: 1.19 $ $Date: 2002/07/14 19:05:40 $
Author:
  Chris Wood

Field Summary
`static short` | `MASK_PRI_SECURE` Bits available to be altered for differing security levels.
`static short` | `MASK_PRI_VERSION` Mask of bits set for the version priority.
`static short` | `PRI_FLAG_ALTERNATE` Flag set if address is an alternate address.
`static short` | `PRI_FLAG_NONPRIMARY` Flag set if address is from profile not containing primary profile component.
`static short` | `PRI_UNSECURE` Standard unsecured address.
`static short[]` | `PRI_VERSION` Version priorities

Fields inherited from interface org.openorb.net.Address
`MASK_ADDRESS_PRIORITY`

Method Summary
`java.lang.Object` | `clone()` Clone an IIOP address object.
`boolean` | `equals(java.lang.Object obj)` Checks whether two instances are equal.
`Address[]` | `get_alternates()` Return all the alternative addresses created from this profile.
`java.net.InetAddress` | `get_host()` Return the host as an InetAddress
`java.lang.String` | `get_hostname()` Return the hostname of the target.
`int` | `get_orb_type()` Return the four char orb type.
`int` | `get_port()` Return the port number of the target.
`Version` | `get_version()` Get the IIOP version of the target.
`CodeSetComponentInfo` | `getCodesetComponentInfo()` Return the codeset data.
`java.lang.String` | `getEndpointDescription()` Human readable string describing the endpoint.
`java.lang.String` | `getEndpointString()` A string which could be used to contact the endpoint in a corbaloc style address.
`java.lang.String` | `getProtocol()` The protocol string as would appear in the corbaloc address.
`int` | `hashCode()` Compute a hash code for this class.
`void` | `setHost(java.net.InetAddress host)` Set the host name of this IIOP address.
`void` | `setPort(int port)` Set the port number of this IIOP address.
`void` | `setProtocol(java.lang.String protocol)` Set the protocol version of this IIOP address.

Methods inherited from class org.openorb.net.AbstractAddress
`createTransport, get_component_data, get_component, get_components, get_components, get_profile_components, get_target_policies, getObjectKeyDescription, getObjectKeyString, getPriority, getPriority, getTargetAddress, set_component_data, setPriority, setPriority, setTransportConstructor`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MASK_PRI_VERSION

    public static final short MASK_PRI_VERSION

  Mask of bits set for the version priority.

### PRI_VERSION

    public static final short[] PRI_VERSION

  Version priorities

### PRI_FLAG_ALTERNATE

    public static final short PRI_FLAG_ALTERNATE

  Flag set if address is an alternate address.

### PRI_FLAG_NONPRIMARY

    public static final short PRI_FLAG_NONPRIMARY

  Flag set if address is from profile not containing primary profile component.

### MASK_PRI_SECURE

    public static final short MASK_PRI_SECURE

  Bits available to be altered for differing security levels.

### PRI_UNSECURE

    public static final short PRI_UNSECURE

  Standard unsecured address.

Method Detail

### setHost

    public void setHost(java.net.InetAddress host)

  Set the host name of this IIOP address.

### setPort

    public void setPort(int port)

  Set the port number of this IIOP address.

### setProtocol

    public void setProtocol(java.lang.String protocol)

  Set the protocol version of this IIOP address.

### clone

    public java.lang.Object clone()

  Clone an IIOP address object.

### getProtocol

    public java.lang.String getProtocol()

  The protocol string as would appear in the corbaloc address.

### get_hostname

    public java.lang.String get_hostname()

  Return the hostname of the target.

### get_host

    public java.net.InetAddress get_host()

  Return the host as an InetAddress

### get_port

    public int get_port()

  Return the port number of the target.

### get_version

    public Version get_version()

  Get the IIOP version of the target.

### get_orb_type

    public int get_orb_type()

  Return the four char orb type.

### getCodesetComponentInfo

    public CodeSetComponentInfo getCodesetComponentInfo()

  Return the codeset data.

### get_alternates

    public Address[] get_alternates()

  Return all the alternative addresses created from this profile.

### getEndpointString

    public java.lang.String getEndpointString()

  A string which could be used to contact the endpoint in a corbaloc style address.

### getEndpointDescription

    public java.lang.String getEndpointDescription()

  Human readable string describing the endpoint.

### hashCode

    public int hashCode()

  Compute a hash code for this class.
  Overrides:
    `hashCode` in class `AbstractAddress`
  Returns:
    The has code for this class (static).

### equals

    public boolean equals(java.lang.Object obj)

  Checks whether two instances are equal. The comparison is based on ports, hostnames, and protocol version.
  Overrides:
    `equals` in class `AbstractAddress`
  Parameters:
    `obj` - The object to compare with.
  Returns:
    True if the addresses are equal, false otherwise.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD